Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-26253

Published: 21 February 2023

In Gluster GlusterFS 11.0, there is an xlators/mount/fuse/src/fuse-bridge.c notify stack-based buffer over-read.

Notes

AuthorNote
mdeslaur
stack-based overread is just a DoS on Ubuntu because of stack
protector

Priority

Medium

Cvss 3 Severity Score

7.5

Score breakdown

Status

Package Release Status
glusterfs
Launchpad, Ubuntu, Debian
bionic Needed

focal Needed

jammy
Released (10.1-1ubuntu0.1)
kinetic
Released (10.2-1ubuntu0.1)
trusty Needed

xenial
Released (3.7.6-1ubuntu1+esm2)
Available with Ubuntu Pro
lunar
Released (10.3-4ubuntu0.1)
upstream
Released (10.3-5)
mantic Not vulnerable
(10.3-5)
Patches:
other: https://github.com/mohit84/glusterfs/commit/9c7718a316427923ef00e02c886e48683f34a726
other: https://github.com/mohit84/glusterfs/commit/2b501045c65cf2ecc660b81ef019ce6552085982
upstream: https://github.com/gluster/glusterfs/commit/0cbf51a9827af0e3a35f5cfa823bfa39740bbc58
This vulnerability is mitigated in part by the use of gcc's stack protector in Ubuntu.

Severity score breakdown

Parameter Value
Base score 7.5
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H